""" Example of microscope metadata """

from datetime import datetime

example_session_end_time = datetime.now()

example_metadata_info = {
    "session_config": {
        "destripe": "N/0",
        "obj_magnification": "3.600000",
        "obj_name": "LCT 3.6x",
        "sampling": "1/1",
        "scanning": "Fast",
        "v_res": "1600",
        "z_block": "6676",
        "z_step_um": "2.00",
        "m/pix": "1.800",
    },
    "tile_config": {
        "t_0": {
            "Exposure": "2",
            "Filter": "0",
            "Laser": "488",
            "Side": "0",
            "Skip": "1",
            "X": "471320",
            "Y": "701490",
            "Z": "1707",
        },
        "t_1": {
            "Exposure": "2",
            "Filter": "1",
            "Laser": "561",
            "Side": "0",
            "Skip": "1",
            "X": "471320",
            "Y": "701490",
            "Z": "1707",
        },
        "t_10": {
            "Exposure": "2",
            "Filter": "1",
            "Laser": "561",
            "Side": "1",
            "Skip": "1",
            "X": "568520",
            "Y": "701490",
            "Z": "1707",
        },
        "t_11": {
            "Exposure": "2",
            "Filter": "2",
            "Laser": "639",
            "Side": "1",
            "Skip": "1",
            "X": "568520",
            "Y": "701490",
            "Z": "1707",
        },
        "t_12": {
            "Exposure": "2",
            "Filter": "0",
            "Laser": "488",
            "Side": "0",
            "Skip": "1",
            "X": "471320",
            "Y": "727410",
            "Z": "1707",
        },
        "t_13": {
            "Exposure": "2",
            "Filter": "1",
            "Laser": "561",
            "Side": "0",
            "Skip": "1",
            "X": "471320",
            "Y": "727410",
            "Z": "1707",
        },
        "t_14": {
            "Exposure": "2",
            "Filter": "2",
            "Laser": "639",
            "Side": "0",
            "Skip": "1",
            "X": "471320",
            "Y": "727410",
            "Z": "1707",
        },
        "t_15": {
            "Exposure": "2",
            "Filter": "0",
            "Laser": "488",
            "Side": "0",
            "Skip": "1",
            "X": "503720",
            "Y": "727410",
            "Z": "1707",
        },
        "t_16": {
            "Exposure": "2",
            "Filter": "1",
            "Laser": "561",
            "Side": "0",
            "Skip": "1",
            "X": "503720",
            "Y": "727410",
            "Z": "1707",
        },
        "t_17": {
            "Exposure": "2",
            "Filter": "2",
            "Laser": "639",
            "Side": "0",
            "Skip": "1",
            "X": "503720",
            "Y": "727410",
            "Z": "1707",
        },
        "t_18": {
            "Exposure": "2",
            "Filter": "0",
            "Laser": "488",
            "Side": "1",
            "Skip": "1",
            "X": "536120",
            "Y": "727410",
            "Z": "1707",
        },
        "t_19": {
            "Exposure": "2",
            "Filter": "1",
            "Laser": "561",
            "Side": "1",
            "Skip": "1",
            "X": "536120",
            "Y": "727410",
            "Z": "1707",
        },
        "t_2": {
            "Exposure": "2",
            "Filter": "2",
            "Laser": "639",
            "Side": "0",
            "Skip": "1",
            "X": "471320",
            "Y": "701490",
            "Z": "1707",
        },
        "t_20": {
            "Exposure": "2",
            "Filter": "2",
            "Laser": "639",
            "Side": "1",
            "Skip": "1",
            "X": "536120",
            "Y": "727410",
            "Z": "1707",
        },
        "t_21": {
            "Exposure": "2",
            "Filter": "0",
            "Laser": "488",
            "Side": "1",
            "Skip": "1",
            "X": "568520",
            "Y": "727410",
            "Z": "1707",
        },
        "t_22": {
            "Exposure": "2",
            "Filter": "1",
            "Laser": "561",
            "Side": "1",
            "Skip": "1",
            "X": "568520",
            "Y": "727410",
            "Z": "1707",
        },
        "t_23": {
            "Exposure": "2",
            "Filter": "2",
            "Laser": "639",
            "Side": "1",
            "Skip": "1",
            "X": "568520",
            "Y": "727410",
            "Z": "1707",
        },
        "t_24": {
            "Exposure": "2",
            "Filter": "0",
            "Laser": "488",
            "Side": "0",
            "Skip": "1",
            "X": "471320",
            "Y": "753330",
            "Z": "1707",
        },
        "t_25": {
            "Exposure": "2",
            "Filter": "1",
            "Laser": "561",
            "Side": "0",
            "Skip": "1",
            "X": "471320",
            "Y": "753330",
            "Z": "1707",
        },
        "t_26": {
            "Exposure": "2",
            "Filter": "2",
            "Laser": "639",
            "Side": "0",
            "Skip": "1",
            "X": "471320",
            "Y": "753330",
            "Z": "1707",
        },
        "t_27": {
            "Exposure": "2",
            "Filter": "0",
            "Laser": "488",
            "Side": "0",
            "Skip": "1",
            "X": "503720",
            "Y": "753330",
            "Z": "1707",
        },
        "t_28": {
            "Exposure": "2",
            "Filter": "1",
            "Laser": "561",
            "Side": "0",
            "Skip": "1",
            "X": "503720",
            "Y": "753330",
            "Z": "1707",
        },
        "t_29": {
            "Exposure": "2",
            "Filter": "2",
            "Laser": "639",
            "Side": "0",
            "Skip": "1",
            "X": "503720",
            "Y": "753330",
            "Z": "1707",
        },
        "t_3": {
            "Exposure": "2",
            "Filter": "0",
            "Laser": "488",
            "Side": "0",
            "Skip": "1",
            "X": "503720",
            "Y": "701490",
            "Z": "1707",
        },
        "t_30": {
            "Exposure": "2",
            "Filter": "0",
            "Laser": "488",
            "Side": "1",
            "Skip": "1",
            "X": "536120",
            "Y": "753330",
            "Z": "1707",
        },
        "t_31": {
            "Exposure": "2",
            "Filter": "1",
            "Laser": "561",
            "Side": "1",
            "Skip": "1",
            "X": "536120",
            "Y": "753330",
            "Z": "1707",
        },
        "t_32": {
            "Exposure": "2",
            "Filter": "2",
            "Laser": "639",
            "Side": "1",
            "Skip": "1",
            "X": "536120",
            "Y": "753330",
            "Z": "1707",
        },
        "t_33": {
            "Exposure": "2",
            "Filter": "0",
            "Laser": "488",
            "Side": "1",
            "Skip": "1",
            "X": "568520",
            "Y": "753330",
            "Z": "1707",
        },
        "t_34": {
            "Exposure": "2",
            "Filter": "1",
            "Laser": "561",
            "Side": "1",
            "Skip": "1",
            "X": "568520",
            "Y": "753330",
            "Z": "1707",
        },
        "t_35": {
            "Exposure": "2",
            "Filter": "2",
            "Laser": "639",
            "Side": "1",
            "Skip": "1",
            "X": "568520",
            "Y": "753330",
            "Z": "1707",
        },
        "t_36": {
            "Exposure": "2",
            "Filter": "0",
            "Laser": "488",
            "Side": "0",
            "Skip": "1",
            "X": "471320",
            "Y": "779250",
            "Z": "1707",
        },
        "t_37": {
            "Exposure": "2",
            "Filter": "1",
            "Laser": "561",
            "Side": "0",
            "Skip": "1",
            "X": "471320",
            "Y": "779250",
            "Z": "1707",
        },
        "t_38": {
            "Exposure": "2",
            "Filter": "2",
            "Laser": "639",
            "Side": "0",
            "Skip": "1",
            "X": "471320",
            "Y": "779250",
            "Z": "1707",
        },
        "t_39": {
            "Exposure": "2",
            "Filter": "0",
            "Laser": "488",
            "Side": "0",
            "Skip": "1",
            "X": "503720",
            "Y": "779250",
            "Z": "1707",
        },
        "t_4": {
            "Exposure": "2",
            "Filter": "1",
            "Laser": "561",
            "Side": "0",
            "Skip": "1",
            "X": "503720",
            "Y": "701490",
            "Z": "1707",
        },
        "t_40": {
            "Exposure": "2",
            "Filter": "1",
            "Laser": "561",
            "Side": "0",
            "Skip": "1",
            "X": "503720",
            "Y": "779250",
            "Z": "1707",
        },
        "t_41": {
            "Exposure": "2",
            "Filter": "2",
            "Laser": "639",
            "Side": "0",
            "Skip": "1",
            "X": "503720",
            "Y": "779250",
            "Z": "1707",
        },
        "t_42": {
            "Exposure": "2",
            "Filter": "0",
            "Laser": "488",
            "Side": "1",
            "Skip": "1",
            "X": "536120",
            "Y": "779250",
            "Z": "1707",
        },
        "t_43": {
            "Exposure": "2",
            "Filter": "1",
            "Laser": "561",
            "Side": "1",
            "Skip": "1",
            "X": "536120",
            "Y": "779250",
            "Z": "1707",
        },
        "t_44": {
            "Exposure": "2",
            "Filter": "2",
            "Laser": "639",
            "Side": "1",
            "Skip": "1",
            "X": "536120",
            "Y": "779250",
            "Z": "1707",
        },
        "t_45": {
            "Exposure": "2",
            "Filter": "0",
            "Laser": "488",
            "Side": "1",
            "Skip": "1",
            "X": "568520",
            "Y": "779250",
            "Z": "1707",
        },
        "t_46": {
            "Exposure": "2",
            "Filter": "1",
            "Laser": "561",
            "Side": "1",
            "Skip": "1",
            "X": "568520",
            "Y": "779250",
            "Z": "1707",
        },
        "t_47": {
            "Exposure": "2",
            "Filter": "2",
            "Laser": "639",
            "Side": "1",
            "Skip": "1",
            "X": "568520",
            "Y": "779250",
            "Z": "1707",
        },
        "t_48": {
            "Exposure": "2",
            "Filter": "0",
            "Laser": "488",
            "Side": "0",
            "Skip": "1",
            "X": "471320",
            "Y": "805170",
            "Z": "1707",
        },
        "t_49": {
            "Exposure": "2",
            "Filter": "1",
            "Laser": "561",
            "Side": "0",
            "Skip": "1",
            "X": "471320",
            "Y": "805170",
            "Z": "1707",
        },
        "t_5": {
            "Exposure": "2",
            "Filter": "2",
            "Laser": "639",
            "Side": "0",
            "Skip": "1",
            "X": "503720",
            "Y": "701490",
            "Z": "1707",
        },
        "t_50": {
            "Exposure": "2",
            "Filter": "2",
            "Laser": "639",
            "Side": "0",
            "Skip": "1",
            "X": "471320",
            "Y": "805170",
            "Z": "1707",
        },
        "t_51": {
            "Exposure": "2",
            "Filter": "0",
            "Laser": "488",
            "Side": "0",
            "Skip": "1",
            "X": "503720",
            "Y": "805170",
            "Z": "1707",
        },
        "t_52": {
            "Exposure": "2",
            "Filter": "1",
            "Laser": "561",
            "Side": "0",
            "Skip": "1",
            "X": "503720",
            "Y": "805170",
            "Z": "1707",
        },
        "t_53": {
            "Exposure": "2",
            "Filter": "2",
            "Laser": "639",
            "Side": "0",
            "Skip": "1",
            "X": "503720",
            "Y": "805170",
            "Z": "1707",
        },
        "t_54": {
            "Exposure": "2",
            "Filter": "0",
            "Laser": "488",
            "Side": "1",
            "Skip": "1",
            "X": "536120",
            "Y": "805170",
            "Z": "1707",
        },
        "t_55": {
            "Exposure": "2",
            "Filter": "1",
            "Laser": "561",
            "Side": "1",
            "Skip": "1",
            "X": "536120",
            "Y": "805170",
            "Z": "1707",
        },
        "t_56": {
            "Exposure": "2",
            "Filter": "2",
            "Laser": "639",
            "Side": "1",
            "Skip": "1",
            "X": "536120",
            "Y": "805170",
            "Z": "1707",
        },
        "t_57": {
            "Exposure": "2",
            "Filter": "0",
            "Laser": "488",
            "Side": "1",
            "Skip": "1",
            "X": "568520",
            "Y": "805170",
            "Z": "1707",
        },
        "t_58": {
            "Exposure": "2",
            "Filter": "1",
            "Laser": "561",
            "Side": "1",
            "Skip": "1",
            "X": "568520",
            "Y": "805170",
            "Z": "1707",
        },
        "t_59": {
            "Exposure": "2",
            "Filter": "2",
            "Laser": "639",
            "Side": "1",
            "Skip": "1",
            "X": "568520",
            "Y": "805170",
            "Z": "1707",
        },
        "t_6": {
            "Exposure": "2",
            "Filter": "0",
            "Laser": "488",
            "Side": "1",
            "Skip": "1",
            "X": "536120",
            "Y": "701490",
            "Z": "1707",
        },
        "t_60": {
            "Exposure": "2",
            "Filter": "0",
            "Laser": "488",
            "Side": "0",
            "Skip": "1",
            "X": "471320",
            "Y": "831090",
            "Z": "1707",
        },
        "t_61": {
            "Exposure": "2",
            "Filter": "1",
            "Laser": "561",
            "Side": "0",
            "Skip": "1",
            "X": "471320",
            "Y": "831090",
            "Z": "1707",
        },
        "t_62": {
            "Exposure": "2",
            "Filter": "2",
            "Laser": "639",
            "Side": "0",
            "Skip": "1",
            "X": "471320",
            "Y": "831090",
            "Z": "1707",
        },
        "t_63": {
            "Exposure": "2",
            "Filter": "0",
            "Laser": "488",
            "Side": "0",
            "Skip": "1",
            "X": "503720",
            "Y": "831090",
            "Z": "1707",
        },
        "t_64": {
            "Exposure": "2",
            "Filter": "1",
            "Laser": "561",
            "Side": "0",
            "Skip": "1",
            "X": "503720",
            "Y": "831090",
            "Z": "1707",
        },
        "t_65": {
            "Exposure": "2",
            "Filter": "2",
            "Laser": "639",
            "Side": "0",
            "Skip": "1",
            "X": "503720",
            "Y": "831090",
            "Z": "1707",
        },
        "t_66": {
            "Exposure": "2",
            "Filter": "0",
            "Laser": "488",
            "Side": "1",
            "Skip": "1",
            "X": "536120",
            "Y": "831090",
            "Z": "1707",
        },
        "t_67": {
            "Exposure": "2",
            "Filter": "1",
            "Laser": "561",
            "Side": "1",
            "Skip": "1",
            "X": "536120",
            "Y": "831090",
            "Z": "1707",
        },
        "t_68": {
            "Exposure": "2",
            "Filter": "2",
            "Laser": "639",
            "Side": "1",
            "Skip": "1",
            "X": "536120",
            "Y": "831090",
            "Z": "1707",
        },
        "t_69": {
            "Exposure": "2",
            "Filter": "0",
            "Laser": "488",
            "Side": "1",
            "Skip": "1",
            "X": "568520",
            "Y": "831090",
            "Z": "1707",
        },
        "t_7": {
            "Exposure": "2",
            "Filter": "1",
            "Laser": "561",
            "Side": "1",
            "Skip": "1",
            "X": "536120",
            "Y": "701490",
            "Z": "1707",
        },
        "t_70": {
            "Exposure": "2",
            "Filter": "1",
            "Laser": "561",
            "Side": "1",
            "Skip": "1",
            "X": "568520",
            "Y": "831090",
            "Z": "1707",
        },
        "t_71": {
            "Exposure": "2",
            "Filter": "2",
            "Laser": "639",
            "Side": "1",
            "Skip": "1",
            "X": "568520",
            "Y": "831090",
            "Z": "1707",
        },
        "t_8": {
            "Exposure": "2",
            "Filter": "2",
            "Laser": "639",
            "Side": "1",
            "Skip": "1",
            "X": "536120",
            "Y": "701490",
            "Z": "1707",
        },
        "t_9": {
            "Exposure": "2",
            "Filter": "0",
            "Laser": "488",
            "Side": "1",
            "Skip": "1",
            "X": "568520",
            "Y": "701490",
            "Z": "1707",
        },
    },
    "wavelength_config": {
        "488": {"power_left": "75.00", "power_right": "74.99"},
        "561": {"power_left": "75.00", "power_right": "75.00"},
        "639": {"power_left": "100.00", "power_right": "100.00"},
    },
}

example_filter_mapping = {488: 525, 561: 600, 639: 680}

example_processing_manifest = {
    "schema_version": "some_version",
    "license": "CC-BY-4.0",
    "specimen_id": "000000",
    "channel_translation": {
        "Ex_488_Ch0": "Ex_488_Em_525",
        "Ex_561_Ch1": "Ex_561_Em_600",
        "Ex_639_Ch2": "Ex_639_Em_680",
    },
    "pipeline_processing": {
        "stitching": {
            "channel": "Ex_561_Em_600",
            "resolution": [
                {"axis_name": "X", "unit": "micrometer", "resolution": 1.8},
                {"axis_name": "Y", "unit": "micrometer", "resolution": 1.8},
                {"axis_name": "Z", "unit": "micrometer", "resolution": 2.0},
            ],
            "cpus": 32,
        },
        "registration": {"channels": ["Ex_561_Em_600"], "input_scale": 3},
        "segmentation": {
            "channels": ["Ex_561_Em_600"],
            "input_scale": "0",
            "chunksize": "128",
            "signal_start": "0",
            "signal_end": "-1",
        },
    },
    "prelim_acquisition": {
        "describedBy": "https://raw.githubusercontent.com/AllenNeuralDynamics/aind-data-schema/main/src/y",  # noqa: E501
        "schema_version": "0.5.2",
        "experimenter_full_name": ["Norepi Nephrine"],
        "specimen_id": "000000",
        "subject_id": None,
        "instrument_id": "SmartSPIM3-2",
        "session_type": None,
        "axes": [
            {
                "name": "Z",
                "dimension": 0,
                "direction": "Superior_to_inferior",
                "unit": "micrometer",
            },
            {
                "name": "Y",
                "dimension": 1,
                "direction": "Posterior_to_anterior",
                "unit": "micrometer",
            },
            {
                "name": "X",
                "dimension": 2,
                "direction": "Right_to_left",
                "unit": "micrometer",
            },
        ],
        "chamber_immersion": {
            "medium": "Cargille 1.52",
            "refractive_index": 1.522,
        },
        "sample_immersion": {
            "medium": "EasyIndex",
            "refractive_index": 1.5199,
        },
        "local_storage_directory": "D:/SmartSPIM_Data",
        "processing_steps": None,
        "notes": None,
    },
}

example_unicode_error_metadata_info = {
    "session_config": {
        "destripe": "N/0",
        "obj_magnification": "3.600000",
        "obj_name": "LCT 3.6x",
        "sampling": "1/1",
        "scanning": "Fast",
        "v_res": "1600",
        "z_block": "6676",
        "z_step_um": "2.00",
        "�m/pix": "1.800",
    },
    "tile_config": {
        "t_0": {
            "Exposure": "2",
            "Filter": "0",
            "Laser": "488",
            "Side": "0",
            "Skip": "1",
            "X": "471320",
            "Y": "701490",
            "Z": "1707",
        },
        "t_1": {
            "Exposure": "2",
            "Filter": "1",
            "Laser": "561",
            "Side": "0",
            "Skip": "1",
            "X": "471320",
            "Y": "701490",
            "Z": "1707",
        },
        "t_10": {
            "Exposure": "2",
            "Filter": "1",
            "Laser": "561",
            "Side": "1",
            "Skip": "1",
            "X": "568520",
            "Y": "701490",
            "Z": "1707",
        },
        "t_11": {
            "Exposure": "2",
            "Filter": "2",
            "Laser": "639",
            "Side": "1",
            "Skip": "1",
            "X": "568520",
            "Y": "701490",
            "Z": "1707",
        },
        "t_12": {
            "Exposure": "2",
            "Filter": "0",
            "Laser": "488",
            "Side": "0",
            "Skip": "1",
            "X": "471320",
            "Y": "727410",
            "Z": "1707",
        },
        "t_13": {
            "Exposure": "2",
            "Filter": "1",
            "Laser": "561",
            "Side": "0",
            "Skip": "1",
            "X": "471320",
            "Y": "727410",
            "Z": "1707",
        },
        "t_14": {
            "Exposure": "2",
            "Filter": "2",
            "Laser": "639",
            "Side": "0",
            "Skip": "1",
            "X": "471320",
            "Y": "727410",
            "Z": "1707",
        },
        "t_15": {
            "Exposure": "2",
            "Filter": "0",
            "Laser": "488",
            "Side": "0",
            "Skip": "1",
            "X": "503720",
            "Y": "727410",
            "Z": "1707",
        },
        "t_16": {
            "Exposure": "2",
            "Filter": "1",
            "Laser": "561",
            "Side": "0",
            "Skip": "1",
            "X": "503720",
            "Y": "727410",
            "Z": "1707",
        },
        "t_17": {
            "Exposure": "2",
            "Filter": "2",
            "Laser": "639",
            "Side": "0",
            "Skip": "1",
            "X": "503720",
            "Y": "727410",
            "Z": "1707",
        },
        "t_18": {
            "Exposure": "2",
            "Filter": "0",
            "Laser": "488",
            "Side": "1",
            "Skip": "1",
            "X": "536120",
            "Y": "727410",
            "Z": "1707",
        },
        "t_19": {
            "Exposure": "2",
            "Filter": "1",
            "Laser": "561",
            "Side": "1",
            "Skip": "1",
            "X": "536120",
            "Y": "727410",
            "Z": "1707",
        },
        "t_2": {
            "Exposure": "2",
            "Filter": "2",
            "Laser": "639",
            "Side": "0",
            "Skip": "1",
            "X": "471320",
            "Y": "701490",
            "Z": "1707",
        },
        "t_20": {
            "Exposure": "2",
            "Filter": "2",
            "Laser": "639",
            "Side": "1",
            "Skip": "1",
            "X": "536120",
            "Y": "727410",
            "Z": "1707",
        },
        "t_21": {
            "Exposure": "2",
            "Filter": "0",
            "Laser": "488",
            "Side": "1",
            "Skip": "1",
            "X": "568520",
            "Y": "727410",
            "Z": "1707",
        },
        "t_22": {
            "Exposure": "2",
            "Filter": "1",
            "Laser": "561",
            "Side": "1",
            "Skip": "1",
            "X": "568520",
            "Y": "727410",
            "Z": "1707",
        },
        "t_23": {
            "Exposure": "2",
            "Filter": "2",
            "Laser": "639",
            "Side": "1",
            "Skip": "1",
            "X": "568520",
            "Y": "727410",
            "Z": "1707",
        },
        "t_24": {
            "Exposure": "2",
            "Filter": "0",
            "Laser": "488",
            "Side": "0",
            "Skip": "1",
            "X": "471320",
            "Y": "753330",
            "Z": "1707",
        },
        "t_25": {
            "Exposure": "2",
            "Filter": "1",
            "Laser": "561",
            "Side": "0",
            "Skip": "1",
            "X": "471320",
            "Y": "753330",
            "Z": "1707",
        },
        "t_26": {
            "Exposure": "2",
            "Filter": "2",
            "Laser": "639",
            "Side": "0",
            "Skip": "1",
            "X": "471320",
            "Y": "753330",
            "Z": "1707",
        },
        "t_27": {
            "Exposure": "2",
            "Filter": "0",
            "Laser": "488",
            "Side": "0",
            "Skip": "1",
            "X": "503720",
            "Y": "753330",
            "Z": "1707",
        },
        "t_28": {
            "Exposure": "2",
            "Filter": "1",
            "Laser": "561",
            "Side": "0",
            "Skip": "1",
            "X": "503720",
            "Y": "753330",
            "Z": "1707",
        },
        "t_29": {
            "Exposure": "2",
            "Filter": "2",
            "Laser": "639",
            "Side": "0",
            "Skip": "1",
            "X": "503720",
            "Y": "753330",
            "Z": "1707",
        },
        "t_3": {
            "Exposure": "2",
            "Filter": "0",
            "Laser": "488",
            "Side": "0",
            "Skip": "1",
            "X": "503720",
            "Y": "701490",
            "Z": "1707",
        },
        "t_30": {
            "Exposure": "2",
            "Filter": "0",
            "Laser": "488",
            "Side": "1",
            "Skip": "1",
            "X": "536120",
            "Y": "753330",
            "Z": "1707",
        },
        "t_31": {
            "Exposure": "2",
            "Filter": "1",
            "Laser": "561",
            "Side": "1",
            "Skip": "1",
            "X": "536120",
            "Y": "753330",
            "Z": "1707",
        },
        "t_32": {
            "Exposure": "2",
            "Filter": "2",
            "Laser": "639",
            "Side": "1",
            "Skip": "1",
            "X": "536120",
            "Y": "753330",
            "Z": "1707",
        },
        "t_33": {
            "Exposure": "2",
            "Filter": "0",
            "Laser": "488",
            "Side": "1",
            "Skip": "1",
            "X": "568520",
            "Y": "753330",
            "Z": "1707",
        },
        "t_34": {
            "Exposure": "2",
            "Filter": "1",
            "Laser": "561",
            "Side": "1",
            "Skip": "1",
            "X": "568520",
            "Y": "753330",
            "Z": "1707",
        },
        "t_35": {
            "Exposure": "2",
            "Filter": "2",
            "Laser": "639",
            "Side": "1",
            "Skip": "1",
            "X": "568520",
            "Y": "753330",
            "Z": "1707",
        },
        "t_36": {
            "Exposure": "2",
            "Filter": "0",
            "Laser": "488",
            "Side": "0",
            "Skip": "1",
            "X": "471320",
            "Y": "779250",
            "Z": "1707",
        },
        "t_37": {
            "Exposure": "2",
            "Filter": "1",
            "Laser": "561",
            "Side": "0",
            "Skip": "1",
            "X": "471320",
            "Y": "779250",
            "Z": "1707",
        },
        "t_38": {
            "Exposure": "2",
            "Filter": "2",
            "Laser": "639",
            "Side": "0",
            "Skip": "1",
            "X": "471320",
            "Y": "779250",
            "Z": "1707",
        },
        "t_39": {
            "Exposure": "2",
            "Filter": "0",
            "Laser": "488",
            "Side": "0",
            "Skip": "1",
            "X": "503720",
            "Y": "779250",
            "Z": "1707",
        },
        "t_4": {
            "Exposure": "2",
            "Filter": "1",
            "Laser": "561",
            "Side": "0",
            "Skip": "1",
            "X": "503720",
            "Y": "701490",
            "Z": "1707",
        },
        "t_40": {
            "Exposure": "2",
            "Filter": "1",
            "Laser": "561",
            "Side": "0",
            "Skip": "1",
            "X": "503720",
            "Y": "779250",
            "Z": "1707",
        },
        "t_41": {
            "Exposure": "2",
            "Filter": "2",
            "Laser": "639",
            "Side": "0",
            "Skip": "1",
            "X": "503720",
            "Y": "779250",
            "Z": "1707",
        },
        "t_42": {
            "Exposure": "2",
            "Filter": "0",
            "Laser": "488",
            "Side": "1",
            "Skip": "1",
            "X": "536120",
            "Y": "779250",
            "Z": "1707",
        },
        "t_43": {
            "Exposure": "2",
            "Filter": "1",
            "Laser": "561",
            "Side": "1",
            "Skip": "1",
            "X": "536120",
            "Y": "779250",
            "Z": "1707",
        },
        "t_44": {
            "Exposure": "2",
            "Filter": "2",
            "Laser": "639",
            "Side": "1",
            "Skip": "1",
            "X": "536120",
            "Y": "779250",
            "Z": "1707",
        },
        "t_45": {
            "Exposure": "2",
            "Filter": "0",
            "Laser": "488",
            "Side": "1",
            "Skip": "1",
            "X": "568520",
            "Y": "779250",
            "Z": "1707",
        },
        "t_46": {
            "Exposure": "2",
            "Filter": "1",
            "Laser": "561",
            "Side": "1",
            "Skip": "1",
            "X": "568520",
            "Y": "779250",
            "Z": "1707",
        },
        "t_47": {
            "Exposure": "2",
            "Filter": "2",
            "Laser": "639",
            "Side": "1",
            "Skip": "1",
            "X": "568520",
            "Y": "779250",
            "Z": "1707",
        },
        "t_48": {
            "Exposure": "2",
            "Filter": "0",
            "Laser": "488",
            "Side": "0",
            "Skip": "1",
            "X": "471320",
            "Y": "805170",
            "Z": "1707",
        },
        "t_49": {
            "Exposure": "2",
            "Filter": "1",
            "Laser": "561",
            "Side": "0",
            "Skip": "1",
            "X": "471320",
            "Y": "805170",
            "Z": "1707",
        },
        "t_5": {
            "Exposure": "2",
            "Filter": "2",
            "Laser": "639",
            "Side": "0",
            "Skip": "1",
            "X": "503720",
            "Y": "701490",
            "Z": "1707",
        },
        "t_50": {
            "Exposure": "2",
            "Filter": "2",
            "Laser": "639",
            "Side": "0",
            "Skip": "1",
            "X": "471320",
            "Y": "805170",
            "Z": "1707",
        },
        "t_51": {
            "Exposure": "2",
            "Filter": "0",
            "Laser": "488",
            "Side": "0",
            "Skip": "1",
            "X": "503720",
            "Y": "805170",
            "Z": "1707",
        },
        "t_52": {
            "Exposure": "2",
            "Filter": "1",
            "Laser": "561",
            "Side": "0",
            "Skip": "1",
            "X": "503720",
            "Y": "805170",
            "Z": "1707",
        },
        "t_53": {
            "Exposure": "2",
            "Filter": "2",
            "Laser": "639",
            "Side": "0",
            "Skip": "1",
            "X": "503720",
            "Y": "805170",
            "Z": "1707",
        },
        "t_54": {
            "Exposure": "2",
            "Filter": "0",
            "Laser": "488",
            "Side": "1",
            "Skip": "1",
            "X": "536120",
            "Y": "805170",
            "Z": "1707",
        },
        "t_55": {
            "Exposure": "2",
            "Filter": "1",
            "Laser": "561",
            "Side": "1",
            "Skip": "1",
            "X": "536120",
            "Y": "805170",
            "Z": "1707",
        },
        "t_56": {
            "Exposure": "2",
            "Filter": "2",
            "Laser": "639",
            "Side": "1",
            "Skip": "1",
            "X": "536120",
            "Y": "805170",
            "Z": "1707",
        },
        "t_57": {
            "Exposure": "2",
            "Filter": "0",
            "Laser": "488",
            "Side": "1",
            "Skip": "1",
            "X": "568520",
            "Y": "805170",
            "Z": "1707",
        },
        "t_58": {
            "Exposure": "2",
            "Filter": "1",
            "Laser": "561",
            "Side": "1",
            "Skip": "1",
            "X": "568520",
            "Y": "805170",
            "Z": "1707",
        },
        "t_59": {
            "Exposure": "2",
            "Filter": "2",
            "Laser": "639",
            "Side": "1",
            "Skip": "1",
            "X": "568520",
            "Y": "805170",
            "Z": "1707",
        },
        "t_6": {
            "Exposure": "2",
            "Filter": "0",
            "Laser": "488",
            "Side": "1",
            "Skip": "1",
            "X": "536120",
            "Y": "701490",
            "Z": "1707",
        },
        "t_60": {
            "Exposure": "2",
            "Filter": "0",
            "Laser": "488",
            "Side": "0",
            "Skip": "1",
            "X": "471320",
            "Y": "831090",
            "Z": "1707",
        },
        "t_61": {
            "Exposure": "2",
            "Filter": "1",
            "Laser": "561",
            "Side": "0",
            "Skip": "1",
            "X": "471320",
            "Y": "831090",
            "Z": "1707",
        },
        "t_62": {
            "Exposure": "2",
            "Filter": "2",
            "Laser": "639",
            "Side": "0",
            "Skip": "1",
            "X": "471320",
            "Y": "831090",
            "Z": "1707",
        },
        "t_63": {
            "Exposure": "2",
            "Filter": "0",
            "Laser": "488",
            "Side": "0",
            "Skip": "1",
            "X": "503720",
            "Y": "831090",
            "Z": "1707",
        },
        "t_64": {
            "Exposure": "2",
            "Filter": "1",
            "Laser": "561",
            "Side": "0",
            "Skip": "1",
            "X": "503720",
            "Y": "831090",
            "Z": "1707",
        },
        "t_65": {
            "Exposure": "2",
            "Filter": "2",
            "Laser": "639",
            "Side": "0",
            "Skip": "1",
            "X": "503720",
            "Y": "831090",
            "Z": "1707",
        },
        "t_66": {
            "Exposure": "2",
            "Filter": "0",
            "Laser": "488",
            "Side": "1",
            "Skip": "1",
            "X": "536120",
            "Y": "831090",
            "Z": "1707",
        },
        "t_67": {
            "Exposure": "2",
            "Filter": "1",
            "Laser": "561",
            "Side": "1",
            "Skip": "1",
            "X": "536120",
            "Y": "831090",
            "Z": "1707",
        },
        "t_68": {
            "Exposure": "2",
            "Filter": "2",
            "Laser": "639",
            "Side": "1",
            "Skip": "1",
            "X": "536120",
            "Y": "831090",
            "Z": "1707",
        },
        "t_69": {
            "Exposure": "2",
            "Filter": "0",
            "Laser": "488",
            "Side": "1",
            "Skip": "1",
            "X": "568520",
            "Y": "831090",
            "Z": "1707",
        },
        "t_7": {
            "Exposure": "2",
            "Filter": "1",
            "Laser": "561",
            "Side": "1",
            "Skip": "1",
            "X": "536120",
            "Y": "701490",
            "Z": "1707",
        },
        "t_70": {
            "Exposure": "2",
            "Filter": "1",
            "Laser": "561",
            "Side": "1",
            "Skip": "1",
            "X": "568520",
            "Y": "831090",
            "Z": "1707",
        },
        "t_71": {
            "Exposure": "2",
            "Filter": "2",
            "Laser": "639",
            "Side": "1",
            "Skip": "1",
            "X": "568520",
            "Y": "831090",
            "Z": "1707",
        },
        "t_8": {
            "Exposure": "2",
            "Filter": "2",
            "Laser": "639",
            "Side": "1",
            "Skip": "1",
            "X": "536120",
            "Y": "701490",
            "Z": "1707",
        },
        "t_9": {
            "Exposure": "2",
            "Filter": "0",
            "Laser": "488",
            "Side": "1",
            "Skip": "1",
            "X": "568520",
            "Y": "701490",
            "Z": "1707",
        },
    },
    "wavelength_config": {
        "488": {"power_left": "75.00", "power_right": "74.99"},
        "561": {"power_left": "75.00", "power_right": "75.00"},
        "639": {"power_left": "100.00", "power_right": "100.00"},
    },
}
